/* Image & Media */

img {
    vertical-align: middle;
}

hr {
    color: color(theme-fourth);
    body.dark-mode & {
        color: color(theme-primary);
    }
}

.hero-img {
    height: 100vh;
    width: auto;
    image-rendering: pixelated;
    &-light {
        display: block;
        body.dark-mode & {
            display: none;
        }
    }
    &-dark {
        display: none;
        body.dark-mode & {
            display: block;
        }
    }
    &-0 {
        right: 0px;
    }
    &-1 {
        right: 0px;
    }
}

/* WordPress Embeds */

.post-thumbnail,
.wp-video,
.embed-responsive {
    margin: 5px 0;
    width: 100% !important;
}

.post,
.post-thumbnail {
    img {
        max-width: 100%;
        height: auto;
    }
}

/* WP Blocks */

.wp-block-image,
.wp-block-media-text__media {
    img,
    video {
        height: auto;
    }
}